Bug 72488 - redhat-config-packages frozen while computing dependencies
redhat-config-packages frozen while computing dependencies
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-packages (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Depends On:
  Show dependency treegraph
Reported: 2002-08-24 09:37 EDT by Pedro Soria-Rodriguez
Modified: 2014-01-21 17:48 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-11-19 16:43:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Output of ps auxfw command, to show state of system. (5.25 KB, text/plain)
2002-08-24 09:38 EDT, Pedro Soria-Rodriguez
no flags Details
Output of ps aux command after installing OO.org (5.43 KB, text/plain)
2002-08-24 09:45 EDT, Pedro Soria-Rodriguez
no flags Details
error messages from redhat-config-packages' console output. (1.53 KB, text/plain)
2002-08-24 19:10 EDT, Pedro Soria-Rodriguez
no flags Details

  None (edit)
Description Pedro Soria-Rodriguez 2002-08-24 09:37:46 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1b) Gecko/20020722

Description of problem:
redhat-config-packages seems to have frozen while computing package dependencies.

First I opened redhat-config-packages, and selected OpenOffice, gnucash, xpdf,
and WindowMaker to install.  Dependencies were computed fine without problems. 
I saw that the size of the packages to be added was too big for the amount of
available disk space left.  I cancelled that installation.

Then I selected only WindowMaker to be installed.  It got installed fine.

Then I went back and try to install OpenOffice only.  At this point, while
computing dependencies, the package management tool seems to be frozen.  The
"Preparing system update" dialog box is open and the progress bar is at about
70% done.  It has stopped there, and pressing the "Cancel" button does not do
anything.  The window does not close.  However, both windows (the main
redhat-config-packages window and the dialog window) are responsive when I move
them on the screen.  I mean, they do get redrawn correctly, which makes me think
it hasn't really frozen.

This whole sequence of steps was done without closing the package management app
in between.

I am attaching the output of 'ps auxfw' in a file (ps.auxfw.output.txt), to see
the state of all the programs running at the time of the freeze.

Then if I press the "x" on the upper right corner of the dialog window to close
it, it does get closed, and I can hit "Update" again.  It then starts to compute
package dependencies again, but it gets stuck again, and the "Cancel" button
does not do anything.

I close the dialog window again with the window manager.  Then I press 
"Cancel" in the main window of the package management app. and it does get closed.

Then I launch the package management app again.
I select the "Office/Productivity" section again, and de-select MrProject and
xpdf, and leave OpenOffice selected.
Then I press "Update".  This time the computation of dependencies is completed
and the "Completed System Preparation" dialog shows up.
The installation of StarOffice then proceeds correctly.

Version-Release number of selected component (if applicable):

How reproducible:
Couldn't Reproduce

Additional info:
Comment 1 Pedro Soria-Rodriguez 2002-08-24 09:38:54 EDT
Created attachment 72744 [details]
Output of ps auxfw command, to show state of system.
Comment 2 Pedro Soria-Rodriguez 2002-08-24 09:45:08 EDT
Created attachment 72745 [details]
Output of ps aux command after installing OO.org
Comment 3 Pedro Soria-Rodriguez 2002-08-24 09:53:52 EDT
THis is a continuation of my initial bug description.
After openoffice was installed (openoffice, openoffice-libs, and openoffice-i18n
packages were installed), the "Updating System" dialog box from the package
management application stays open, and the "Continue" button remains grayed out.
I can see that the 3 packages have been installed ("rpm -qa |grep office" shows
they are there).

While that dialog box is open with the button grayed out, I took another
snapshop of the the processes in the system and the attached file
"ps.auxfw.output-after_oo_install.txt" show the result of ps auxfw  at that time.

So I can close that dialog window with the "x" icon of the window manager, but
the  redhat-config-packages did not finish by itself since I had to close it.

Comment 4 Jeremy Katz 2002-08-24 13:38:04 EDT
If you look in ~/.xsession-errors or run from a terminal window, you'll probably
see a traceback -- what are the contents of the traceback?  (I think I know what
you hit, but juts want to verify)
Comment 5 Pedro Soria-Rodriguez 2002-08-24 19:10:03 EDT
Created attachment 72804 [details]
error messages from redhat-config-packages' console output.
Comment 6 Pedro Soria-Rodriguez 2002-08-24 19:12:22 EDT
I have added a new attachment (redhat-config-packages_errors.txt) that shows the
output of redhat-config-packages on its console.   

I reproduced the bug (the apparent freezing) by doing something first
(uninstalling emacs) and then installing some new package (gnome-games).  The
bug happened again, and the error messages are shown in the attached file.

After restarting redhat-config-packages and trying to install gnome-games again,
it worked fine.
Comment 7 Jeremy Katz 2002-08-24 20:08:38 EDT
Yep, that's exactly what I thought it was.  This should be fixed in CVS and the
latest build (redhat-config-packages-0.92.1-1).
Comment 8 Seth Vidal 2003-11-19 01:57:30 EST

Note You need to log in before you can comment on or make changes to this bug.